
package com.jqtx.windows.component.tsmodel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * 通过网关接口同步案件联系人请求对象
 *
 * @Description
 * @Author dongxiaoxia
 * @Date 2018/9/12 19:50
 */
@Data
public class RefundRequest {

    @ApiModelProperty(value = "还款时间(格式：yyyyMMddHHmmss)", required = true, example = "20210820125951")
    private String repayTime;

    @ApiModelProperty(value = "退款金额")
    private BigDecimal refundAmount;

    @NotNull(message = "合作渠道不能为空")
    @Min(value = 1, message = "合作渠道不能为空")
    @ApiModelProperty(value = "合作渠道", required = true, example = "请在header里传递secretKey或body里传递secretKey，代替bizChannel")
    private Long bizChannel;

    @ApiModelProperty(value = "第三方案件编号", required = true)
    @NotBlank(message = "第三方案件编号不能为空")
    private String loanCaseNo;


    @ApiModelProperty(value = "委托方还款业务凭证", required = true)
    @NotBlank(message = "委托方还款业务凭证不能为空")
    private String repayVoucher;

    private String payType;

}
